@font-face {
  font-family: 'icomoon';
  src: url('../fonts/icomoon.eot?bqb2fe');
  src: url('../fonts/icomoon.eot?bqb2fe#iefix') format('embedded-opentype'),
    url('../fonts/icomoon.ttf?bqb2fe') format('truetype'),
    url('../fonts/icomoon.woff?bqb2fe') format('woff'),
    url('../fonts/icomoon.svg?bqb2fe#icomoon') format('svg');
  font-weight: normal;
  font-style: normal;
}
[class^='icon-'],
[class*=' icon-'] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.icon-menu:before {
  content: '\e900';
}
body {
  font-family: 'Source Sans Pro', sans-serif;
  margin: 0;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Fjalla One', sans-serif;
  font-weight: normal;
}
h1 {
  font-size: 40px;
  line-height: 1.5;
  letter-spacing: -0.2px;
  color: white;
  margin: 0;
}
h1 strong {
  color: #026fff;
}
h2 {
  color: #026fff;
  text-transform: uppercase;
  font-family: 'Source Sans Pro', sans-serif;
  font-weight: bold;
  font-size: 24px;
  margin-bottom: 40px;
}
.hero {
  height: 300px;
  background-color: #1b2127;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.hero-image {
  object-fit: cover;
}
.portfolio {
  background: #fafafa;
  padding: 20px;
}

.project {
  border: 1px solid gray;
  border-radius: 10px;
  margin-bottom: 15px;
  padding: 20px;
  background: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
.project-course,
.project-date,
.project-url {
  margin: 10px 0;
}
.project-description {
  font-size: 20px;
}
.project strong {
  font-family: 'Fjalla One', sans-serif;
}
.project-title {
  font-size: 30px;
  margin-top: 0;
  margin-bottom: 10px;
}
.project-details {
  width: 50%;
}
.project-imageContainer {
  width: 50%;
}
.project-imageContainer img {
  max-width: 100%;
}
.header {
  background-color: #1b2127;
  color: white;
  display: flex;
  height: 70px;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
ol,
ul {
  margin: 0;
  padding: 0;
  list-style: none;
}
figure {
  margin: 0;
}
.header a {
  color: white;
  text-decoration: none;
}
.menu {
  height: inherit;
}
.header ol {
  display: flex;
  height: inherit;
}
.header ol li {
  height: inherit;
}
.header a {
  display: flex;
  align-items: center;
  height: inherit;
  padding: 0 10px;
}
.header a:hover {
  color: silver;
}
.flexbox {
  display: flex;
  flex-wrap: wrap;
}
.box {
  width: 50px;
  height: 50px;
  margin: 5px;
  border: 1px solid red;
  flex-shrink: 0;
}
.footer {
  color: white;
  background-color: #1b2127;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
.footer img {
  vertical-align: middle;
}
.footer a {
  color: white;
}
.event-list {
  display: flex;
  flex-wrap: wrap;
}
.event-list-title {
  margin-left: 20px;
}
.event {
  margin: 1%;
  width: 48%;
  flex-shrink: 0;
  border-radius: 10px;
  overflow: hidden;
  background: #f4fbff;
}
.event img {
  width: 480px;
  height: 200px;
  object-fit: cover;
}
.event-detail {
  margin: 20px 40px;
  margin-top: -40px;
  background-color: white;
  position: relative;
  padding: 20px;
  text-align: center;
}
.event-description {
  text-align: left;
}
.event-url {
  color: #056fff;
  border: 1px solid;
  padding: 5px 20px;
  text-decoration: none;
  border-radius: 5px;
}
.event-url:hover {
  background-color: #056dff3f;
}
.project-url-element {
  color: #000000;
  text-decoration: none;
}
.project-url-element:hover {
  color: #a9a9a9;
}
.contact {
  background-color: #056fff;
  color: white;
  height: 200px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
.social-link {
  display: inline-block;
  width: 50px;
  height: 50px;
  margin: 0 10px;
  background-size: 50px 50px;
}
.social-link.instagram {
  background-image: url('../images/instagram.svg');
}
.social-link.github {
  background-image: url('../images/github.svg');
}
.social-link.linkedin {
  background-image: url('../images/linkedin.png');
}
.social-link.cv {
  background-image: url('../images/C-V.PNG');
}
.form-email input {
  border-color: gray;
  border-style: solid;
  border-radius: 5px;
  padding: 10px 20px 10px 25px;
  background-image: url('../images/envelope.svg');
  background-size: 15px 15px;
  background-repeat: no-repeat;
  background-position-y: center;
  background-position-x: 5px;
}
.form-email a {
  display: block;
  background: transparent;
  color: white;
  padding: 10px 0;
  border-radius: 5px;
  width: 100px;
  margin-top: 10px;
  text-decoration: none;
  text-align: center;
  border: 0.1rem solid white;
}
.form-email a:hover {
  background-color: rgba(255, 255, 255, 0.274);
}
.form-email h3 {
  font-family: 'Source Sans Pro', sans-serif;
}
.container {
  max-width: 1100px;
  flex: 1;
  margin: 0 auto;
  display: inherit;
  justify-content: inherit;
  align-items: inherit;
  height: inherit;
  flex-wrap: inherit;
}
.burger-button {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: rgba(0, 0, 0, 0.8);
  display: none;
  line-height: 40px;
  text-align: center;
  position: fixed;
  z-index: 4;
  left: 5px;
  top: 5px;
  color: white;
}
/* desktop first que empieces desde el MQ más grande */
@media screen and (max-width: 1023px) {
  .event-list-title {
    margin-left: 0;
  }
  .portfolio {
    padding: 0;
  }
  .container {
    padding: 0 1em;
  }
  .hero {
    height: auto;
    position: relative;
    overflow: hidden;
    padding: 2em;
  }
  .hero-image {
    position: absolute;
    z-index: 1;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
  }
  h1 {
    font-size: 2em;
    z-index: 2;
  }
}
.html-video {
  width: 100%;
  height: auto;
}
.youtube-video {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.flexible-video {
  width: 100%;
  height: 0;
  padding-top: 56.25%;
  background: blue;
  position: relative;
}
@media screen and (max-width: 767px) {
  h2 {
    font-size: 1.2em;
    margin: 0.5em 0;
  }
  .burger-button {
    display: block;
  }
  .header {
    display: block;
    height: auto;
  }
  .header ol {
    display: block;
  }
  .header ol li {
    height: 50px;
  }
  .header a {
    justify-content: center;
    height: 40px;
    font-size: 2em;
    text-decoration: underline;
    margin-bottom: 0.5em;
  }
  .header .logo {
    text-align: center;
  }
  .menu {
    position: fixed;
    background: rgba(58, 71, 90, 0.9);
    z-index: 3;
    top: 0;
    left: -100vw;
    width: 100vw;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.3s;
  }
  .menu.is-active {
    left: 0;
  }
  .project {
    display: block;
  }
  .project-imageContainer {
    width: auto;
    text-align: center;
  }
  .project-details {
    width: auto;
  }
  .project-course,
  .project-date,
  .project-url {
    margin: 0.3em 0;
  }
  .project-title {
    font-size: 1.5em;
    margin-bottom: 0.3em;
  }
  .project-url {
    font-size: 1em;
  }
  .project-course {
    font-size: 0.7em;
  }
  .project-date {
    font-size: 1em;
  }
  .project-description {
    font-size: 1em;
  }
  .event {
    width: auto;
    flex-shrink: initial;
  }
  .event img {
    width: 100%;
  }
}
@media screen and (max-width: 580px) {
  h1 {
    font-size: 1.5em;
  }
  .project-details {
    font-size: 14px;
  }
  .event-detail {
    margin: -2em 0.5em 0.5em;
    padding: 1em;
  }
  .contact {
    height: auto;
    padding: 1.5em 0;
    text-align: center;
    display: block;
  }
  .form-email a {
    margin: 1em auto;
  }
  .form-email h3 {
    margin-top: 0;
  }
  .footer {
    display: block;
    text-align: center;
    border: 1px solid transparent;
  }
  .social-link {
    width: 40px;
    height: 40px;
    background-size: 100%;
  }
}
@media screen and (max-width: 320px) {
  h1 {
    font-size: 1.2em;
  }
  .hero {
    padding: 2em 1em;
  }
  .social {
    justify-content: center;
  }
}
